UnrealIRCd Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003971unrealircdpublic2010-11-30 02:492013-05-06 07:33
Reporterkatsklaw 
Assigned Tonenolod 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.2.9-RC1 
Target VersionFixed in Version3.4-alpha1 
Summary0003971: Users can see own usermodes in whois
DescriptionI thought it convenient and kinda nifty that users can see their own user modes in /whois output like opers can so heres a lil patch if interested.
TagsNo tags attached.
3rd party modules
Attached Filespatch file icon selfumodewhois.patch [^] (491 bytes) 2010-11-30 02:49

- Relationships

-  Notes
(0016445)
katsklaw (reporter)
2010-11-30 03:11

not sure why "has patch" wasn't set already :/
(0017076)
syzop (administrator)
2012-08-17 12:39

What do others think? Is this a good idea? What do other IRCds do?

We have to think of the general population (users, not devs or ircops): would this information be helpful to them, or would it be yet another 'useless' WHOIS line to the already large WHOIS output?
(0017094)
CuleX (reporter)
2012-08-18 09:59

For users, there wouldn't be much benefit. A well-behaved client should keep track of user modes and show them on-demand/permanently somewhere anyway. Then again, I assume not all clients are well-behaved and thus there might be some value for a very small portion of users (web clients in particular come to mind). Therefore, I'd say it's not really all that important.
(0017502)
nenolod (reporter)
2013-05-06 07:31

It is useful because it shows the snomask. Not all IRC clients understand the snomask.
(0017503)
nenolod (reporter)
2013-05-06 07:32

http://hg.unrealircd.org/hg/unreal/rev/e19873e6bba1 [^]

- Issue History
Date Modified Username Field Change
2010-11-30 02:49 katsklaw New Issue
2010-11-30 02:49 katsklaw File Added: selfumodewhois.patch
2010-11-30 03:11 katsklaw Note Added: 0016445
2010-11-30 03:11 katsklaw Status new => has patch
2012-08-17 12:39 syzop Note Added: 0017076
2012-08-18 09:59 CuleX Note Added: 0017094
2013-05-06 07:31 nenolod Note Added: 0017502
2013-05-06 07:32 nenolod Note Added: 0017503
2013-05-06 07:32 nenolod Status has patch => resolved
2013-05-06 07:32 nenolod Fixed in Version => 3.4-alpha1
2013-05-06 07:32 nenolod Resolution open => fixed
2013-05-06 07:32 nenolod Assigned To => nenolod


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker